Summary: GNOME On-screen Keyboard 
Name: gok
Version: 0.9.3
Release: 6mdk
License: LGPL
Group: Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}-%{version}.tar.bz2
# (fc) 0.9.3-1mdk fix file install when using DESTDIR
Patch0: gok-0.9.3-destdir.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel
BuildRequires:	at-spi-devel >= 1.3.4
BuildRequires:	gtk-doc
BuildRequires:	libgnomeui2-devel
BuildRequires:	libwnck-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:  intltool
Requires: scrollkeeper
Requires: libgail-gnome

%description 
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems.  It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access
methods and includes word completion.

%prep
%setup -q
%patch0 -p1 -b .destdir

intltoolize --copy --force

#needed by patch0
automake

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Applications/Accessibility" \
	title="On-Screen Keyboard" \
	longtitle="GNOME Onscreen Keyboard" \
	command="%{_bindir}/gok" \
	icon="gok.png" \
	startup_notify="true"
EOF

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gok
%{_datadir}/omf/*
%{_libdir}/pkgconfig/*
%{_menudir}/*
%{_datadir}/pixmaps/gok.png

%changelog
* Fri Mar 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk
- Enforce libgail-gnome dependency

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Rebuild with new intltool to be able to quit gok

* Wed Jan 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk
- Fix menu again

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 0.9.3-3mdk
- Fix menu

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.3-2mdk
- rebuild for new pkgconfig Requires
- BuildRequires

* Mon Nov 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3
- Patch0: fix install when using DESTDIR

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Release 0.7.14

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-2mdk
- BuildRequires

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.13-1mdk
- Release 0.7.13

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.11-1mdk
- Release 0.7.11

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.5-1mdk
- Release 0.7.5

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.4-1mdk
- Release 0.7.4

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.1-1mdk
- Release 0.7.1

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.0-2mdk
- Fix BuildRequires

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.0-1mdk
- First Mandrake package.


